#include <stdio.h>
#include<iostream>
int main(){
  for(int s=0,n,a,d,e;std::cin>>n;s++&&printf("Scenario #%d:\n%d\n\n",s-1,1+a/2+a*(n>1)))
    for(a=1,d=2;d<=n/d;d++)
      for(e=a;n%d<1;a+=2*e)
	n/=d;
}
